Subject: Re: [RFC PATCH v1 00/19] rtw88: Add SDIO support

From: Kalle Valo <[email-masked]>
Date: Tue, 17 Jan 2023 20:01:32 +0200

Jakub Kicinski <[email-masked]> writes:

> On Mon, 16 Jan 2023 18:01:05 +0200 Kalle Valo wrote:
>> > - My understanding is that there's a discussion about the rtw88 Kconfig
>> >   symbols. We're adding four new ones within this series. It's not
>> >   clear to me what the conclusion is on this topic though.  
>> 
>> Yeah, there were no conclusions about that. Jakub, do you have any
>> opinions? For example, do we keep per device Kconfig options (eg.
>> CONFIG_RTW88_8822BS, RTW88_8822CS and so on) or should we have only one
>> more bus level option (eg. CONFIG_RTW88_SDIO)? rtw88 now uses the former
>> and IIRC so does mt76. ath10k/ath11k/ath12k again use the latter :)
>
> No strong feelings. Larry (IIRC) provided a fair justification for 
> the RTW symbols. If the module binary grows noticeably then having 
> the kconfig does indeed make sense.

Thanks, makes sense. So the plan is that rtw88 continues to use per
device Kconfig symbols with SDIO.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches